Write-Verbose "Loading ""jbcConfig"""

$Config = @{}

# unless -SSH is included in the command line options or below variable is set to $true,
# when the script is executed will try to set up a windows telnet session.
$Config.UseSSH = $false

# General connection settings
if ($UseSSH -or $Config.UseSSH) {

    # SSH connection settings
    $Config.Host = "t24Hostnx"
    $Config.Port = 22
    $Config.User = "t24usr"
    $Config.Password = "t24pwd"
    $Config.Prompt = "jsh " + $Config.User + " ~ -->"
    $Config.UseEBCOMPILE = $false

    # jBASE/T24 server environment settings
    $Config.RemoteSrcDir  = "jbcCodeSnippets.BP"
    $Config.IncludeSrcDir = "GLOBUS.BP"

    $Config.ModuleName = "jBASE-SshActions.ps1"

} else {

    # Telnet connection settings
    $Config.Host = "t24Hostwin" # or "localhost"
    $Config.Port = 23
    $Config.User = "t24usr"
    $Config.Password = "t24pwd"
    $Config.Prompt = "jsh " + $Config.User + " ~ -->"
    $Config.UseEBCOMPILE = $true

    # jBASE/T24 server environment settings
    $Config.RemoteSrcDir  = "jbcCodeSnippets.BP"
    $Config.IncludeSrcDir = "GLOBUS.BP"

    # Wait 60 seconds max for reply, to wait infinitely set to 0
    $Config.Timeout = 60000
    $Config.ModuleName = "jBASE-TelnetActions.ps1"

}

# don't modify below entries
$Config.RemoteEvalDir = "jbcCodeSnippets.BP"
$Config.ProgName = "CallSubForTesting"
$Config.SubName  = "EvalCodeSnippet"
$Config.AssemblyPath = ".\Tamir.SharpSSH.dll"

$Config.Encoding = [System.Text.Encoding]::GetEncoding("utf-8")
$config.SleepTime = 300
$Config.Dtfmt = "dd hh:mm:ss,fff"

return $Config
