<#
.SYNOPSIS
    Displays jBASE jBC help webpage on default browser

.DESCRIPTION
    This script displays on default browser the available online help
    related to the selected jBC reserved word on current source file.

.NOTES
    Name:     jbcHelp
    Version:  1.0
    Author:   trainer@ambdev.net
    Created:  December 2012
    LastEdit: 2013/05/22

.LINK
    http://www.youtube.com/user/moboan
.LINK
    https://bitbucket.org/moboan/jbcide
#>

$jbc_help_page_prefix = 'http://www.jbase.com/r5/knowledgebase/manuals/3.0/30manpages/man/'
$jbc_help_page_name   = 'JBC1.htm'

if ( $args[0] -eq $null -or $args[0].Trim().Length -eq 0 ) {
    start "$jbc_help_page_prefix$jbc_help_page_name"
    Exit
}

$jbc_keyword = $args[0].Trim().ToUpper()

$jbchelpmap = @{}
$jbchelpmap['@'] = 'jbc2_@.htm'
$jbchelpmap['ABORT'] = 'jbc2_ABORT.htm'
$jbchelpmap['ABS'] = 'jbc2_abs.htm'
$jbchelpmap['ABSS'] = 'jbc2_abss.htm'
$jbchelpmap['ADDS'] = 'jbc2_ADDS.htm'
$jbchelpmap['ALPHA'] = 'jbc2_ALPHA.htm'
$jbchelpmap['ANDS'] = 'jbc2_ands.htm'
$jbchelpmap['ASCII'] = 'jbc2_ASCII.htm'
$jbchelpmap['ASSIGNED'] = 'jbc2_ASSIGNED.htm'
$jbchelpmap['BITAND'] = 'jbc2_BITAND.htm'
$jbchelpmap['BITCHANGE'] = 'jbc2_BITCHANGE.htm'
$jbchelpmap['BITCHECK'] = 'jbc2_BITCHECK.htm'
$jbchelpmap['BITLOAD'] = 'jbc2_BITLOAD.htm'
$jbchelpmap['BITNOT'] = 'jbc2_BITNOT.htm'
$jbchelpmap['BITOR'] = 'jbc2_BITOR.htm'
$jbchelpmap['BITRESET'] = 'jbc2_BITRESET.htm'
$jbchelpmap['BITSET'] = 'jbc2_BITSET.htm'
$jbchelpmap['BITTEST'] = 'jbc2_BITTEST.htm'
$jbchelpmap['BITXOR'] = 'jbc2_BITXOR.htm'
$jbchelpmap['BREAK'] = 'jbc2_BREAK.htm'
$jbchelpmap['BYTELEN'] = 'jbc2_BYTELEN.htm'
$jbchelpmap['CALL'] = 'jbc2_CALL.htm'
$jbchelpmap['CALLC'] = 'jbc2_CALLC.htm'
$jbchelpmap['CALLdotNET'] = 'jbc2_CALLdotNET.htm'
$jbchelpmap['CALLJ'] = 'jbc2_CALLJ.htm'
$jbchelpmap['CALLONEXIT'] = 'jbc2_CALLONEXIT.htm'
$jbchelpmap['CASE'] = 'jbc2_CASE.htm'
$jbchelpmap['CATS'] = 'jbc2_CATS.htm'
$jbchelpmap['CHAIN'] = 'jbc2_CHAIN.htm'
$jbchelpmap['CHANGE'] = 'jbc2_CHANGE.htm'
$jbchelpmap['CHANGETIMESTAMP'] = 'jbc2_CHANGETIMESTAMP.htm'
$jbchelpmap['CHAR'] = 'jbc2_CHAR.htm'
$jbchelpmap['CHARS'] = 'jbc2_CHARS.htm'
$jbchelpmap['CHDIR'] = 'jbc2_CHDIR.htm'
$jbchelpmap['CHECKSUM'] = 'jbc2_CHECKSUM.htm'
$jbchelpmap['CLEAR'] = 'jbc2_CLEAR.htm'
$jbchelpmap['CLEARCOMMON'] = 'jbc2_CLEARCOMMON.htm'
$jbchelpmap['CLEARDATA'] = 'jbc2_CLEARDATA.htm'
$jbchelpmap['CLEARFILE'] = 'jbc2_CLEARFILE.htm'
$jbchelpmap['CLEARINPUT'] = 'jbc2_CLEARINPUT.htm'
$jbchelpmap['CLEARSELECT'] = 'jbc2_CLEARSELECT.htm'
$jbchelpmap['CLOSE'] = 'jbc2_CLOSE.htm'
$jbchelpmap['CLOSESEQ'] = 'jbc2_CLOSESEQ.htm'
$jbchelpmap['COL1 / COL2'] = 'jbc2_COL1.htm'
$jbchelpmap['COL1'] = 'jbc2_COL1.htm'
$jbchelpmap['COL2'] = 'jbc2_COL1.htm'
$jbchelpmap['COLLECTDATA'] = 'jbc2_COLLECTDATA.htm'
$jbchelpmap['COMMON'] = 'jbc2_COMMON.htm'
$jbchelpmap['COMPARE'] = 'jbc2_COMPARE.htm'
$jbchelpmap['CONTINUE'] = 'jbc2_CONTINUE.htm'
$jbchelpmap['CONVERT'] = 'jbc2_CONVERT.htm'
$jbchelpmap['COS'] = 'jbc2_cos.htm'
$jbchelpmap['COUNT'] = 'jbc2_COUNT.htm'
$jbchelpmap['COUNTS'] = 'jbc2_COUNTS.htm'
$jbchelpmap['CREATE'] = 'jbc2_CREATE.htm'
$jbchelpmap['CRT'] = 'jbc2_crt.htm'
$jbchelpmap['DATA'] = 'jbc2_DATA.htm'
$jbchelpmap['DATE'] = 'jbc2_DATE.htm'
$jbchelpmap['DCOUNT'] = 'jbc2_DCOUNT.htm'
$jbchelpmap['DEBUG'] = 'jbc2_DEBUG.htm'
$jbchelpmap['DECRYPT'] = 'jbc2_DECRYPT.htm'
$jbchelpmap['DEFC'] = 'jbc2_DEFC.htm'
$jbchelpmap['DEFCE'] = 'jbc2_DEFCE.htm'
$jbchelpmap['DEFFUN'] = 'jbc2_DEFFUN.htm'
$jbchelpmap['DEL'] = 'jbc2_del.htm'
$jbchelpmap['DELETE'] = 'jbc2_DELETE.htm'
$jbchelpmap['DELETELIST'] = 'jbc2_DELETELIST.htm'
$jbchelpmap['DELETESEQ'] = 'jbc2_DELETESEQ.htm'
$jbchelpmap['DELETEU'] = 'jbc2_DELETEU.htm'
$jbchelpmap['DIMENSION'] = 'jbc2_DIMENSION.htm'
$jbchelpmap['DIM'] = 'jbc2_DIMENSION.htm'
$jbchelpmap['DIR'] = 'jbc2_DIR.htm'
$jbchelpmap['DISPLAY'] = 'jbc2_crt.htm'
$jbchelpmap['DIVS'] = 'jbc2_DIVS.htm'
$jbchelpmap['DIV'] = 'jbc2_DIV.htm'
$jbchelpmap['DOWNCASE'] = 'jbc2_UPDOWNCASE.htm'
$jbchelpmap['DQUOTE'] = 'jbc2_QUOTE.htm'
$jbchelpmap['DROUND'] = 'jbc2_DROUND.htm'
$jbchelpmap['DTX'] = 'jbc2_dtx.htm'
$jbchelpmap['DYNTOXML'] = 'jbc2_DYNTOXML.htm'
$jbchelpmap['EBCDIC'] = 'jbc2_EBCDIC.htm'
$jbchelpmap['ECHO'] = 'jbc2_ECHO.htm'
$jbchelpmap['ENCRYPT'] = 'jbc2_ENCRYPT.htm'
$jbchelpmap['END'] = 'jbc2_END.htm'
$jbchelpmap['ENTER'] = 'jbc2_ENTER.htm'
$jbchelpmap['EQUATE'] = 'jbc2_EQUATE.htm'
$jbchelpmap['EQS'] = 'jbc2_EQS.htm'
$jbchelpmap['EREPLACE'] = 'jbc2_EREPLACE.htm'
$jbchelpmap['EXECUTE'] = 'jbc2_EXECUTE.htm'
$jbchelpmap['EXIT'] = 'jbc2_EXIT.htm'
$jbchelpmap['EXP'] = 'jbc2_exp.htm'
$jbchelpmap['EXTRACT'] = 'jbc2_EXTRACT.htm'
$jbchelpmap['FADD'] = 'jbc2_FADD.htm'
$jbchelpmap['FDIV'] = 'jbc2_FDIV.htm'
$jbchelpmap['FIELD'] = 'jbc2_FIELD.htm'
$jbchelpmap['FIELDS'] = 'jbc2_FIELDS.htm'
$jbchelpmap['FILEINFO'] = 'jbc2_FILEINFO.htm'
$jbchelpmap['FILELOCK'] = 'jbc2_FILELOCK.htm'
$jbchelpmap['FIND'] = 'jbc2_FIND.htm'
$jbchelpmap['FINDSTR'] = 'jbc2_FINDSTR.htm'
$jbchelpmap['FMT'] = 'jbc2_FMT.htm'
$jbchelpmap['FMTS'] = 'jbc2_FMTS.htm'
$jbchelpmap['FMUL'] = 'jbc2_FMUL.htm'
$jbchelpmap['FOLD'] = 'jbc2_FOLD.htm'
$jbchelpmap['FOOTING'] = 'jbc2_FOOTING.htm'
$jbchelpmap['FORMLIST'] = 'jbc2_FORMLIST.htm'
$jbchelpmap['FOR'] = 'jbc2_for.htm'
$jbchelpmap['FSUB'] = 'jbc2_FSUB.htm'
$jbchelpmap['FUNCTION'] = 'jbc2_FUNCTION.htm'
$jbchelpmap['GES'] = 'jbc2_GES.htm'
$jbchelpmap['GET'] = 'jbc2_GET.htm'
$jbchelpmap['GETCWD'] = 'jbc2_GETCWD.htm'
$jbchelpmap['GETENV'] = 'jbc2_GETENV.htm'
$jbchelpmap['GETLIST'] = 'jbc2_GETLIST.htm'
$jbchelpmap['GOSUB'] = 'jbc2_GOSUB.htm'
$jbchelpmap['GOTO'] = 'jbc2_GOTO.htm'
$jbchelpmap['GROUP'] = 'jbc2_GROUP.htm'
$jbchelpmap['GROUPSTORE'] = 'jbc2_GROUPSTORE.htm'
$jbchelpmap['HEADING'] = 'jbc2_HEADING.htm'
$jbchelpmap['HEADINGE'] = 'jbc2_HEADINGE.htm'
$jbchelpmap['HEADINGR'] = 'jbc2_HEADINGE.htm'
$jbchelpmap['HUSH'] = 'jbc2_hush.htm'
$jbchelpmap['ICONV'] = 'jbc2_ICONV.htm'
$jbchelpmap['ICONVS'] = 'jbc2_ICONVS.htm'
$jbchelpmap['IF'] = 'jbc2_if.htm'
$jbchelpmap['IFS'] = 'jbc2_ifs.htm'
$jbchelpmap['IN'] = 'jbc2_in.htm'
$jbchelpmap['INDEX'] = 'jbc2_INDEX.htm'
$jbchelpmap['INDICES'] = 'adv22_INDEXING.WITHIN.A.PROGRAM.htm'
$jbchelpmap['INMAT'] = 'jbc2_INMAT.htm'
$jbchelpmap['INPUT'] = 'jbc2_INPUT.htm'
$jbchelpmap['INPUTCLEAR'] = 'jbc2_INPUTCLEAR.htm'
$jbchelpmap['INPUTNULL'] = 'jbc2_INPUTNULL.htm'
$jbchelpmap['INS'] = 'jbc2_ins.htm'
$jbchelpmap['INSERT'] = 'jbc2_ins.htm#INSERT'
$jbchelpmap['INT'] = 'jbc2_int.htm'
$jbchelpmap['IOCTL'] = 'sup22_IOCTL.htm'
$jbchelpmap['ISALPHA'] = 'jbc2_ISALPHA.htm'
$jbchelpmap['ISALNUM'] = 'jbc2_ISALNUM.htm'
$jbchelpmap['ISCNTRL'] = 'jbc2_ISCNTRL.htm'
$jbchelpmap['ISDIGIT'] = 'jbc2_ISDIGIT.htm'
$jbchelpmap['ISPRINT'] = 'jbc2_ISPRINT.htm'
$jbchelpmap['ISSPACE'] = 'jbc2_ISSPACE.htm'
$jbchelpmap['ISUPPER'] = 'jbc2_ISUPPER.htm'
$jbchelpmap['JBASECOREDUMP'] = 'jbc2_JBASECOREDUMP.htm'
$jbchelpmap['JBASETHREADCreate'] = 'jbc2_JBASETHREADCreate.htm'
$jbchelpmap['JBASETHREADStatus'] = 'jbc2_JBASETHREADStatus.htm'
$jbchelpmap['JQLCOMPILE'] = 'jbc2_JQLCOMPILE.htm'
$jbchelpmap['JQLEXECUTE'] = 'jbc2_JQLEXECUTE.htm'
$jbchelpmap['JQLFETCH'] = 'jbc2_JQLFETCH.htm'
$jbchelpmap['JQLGETPROPERTY'] = 'jbc2_JQLGETPROPERTY.htm'
$jbchelpmap['JQLPUTPROPERTY'] = 'jbc2_JQLPUTPROPERTY.htm'
$jbchelpmap['KEYIN'] = 'jbc2_KEYIN.htm'
$jbchelpmap['LATIN1'] = 'jbc2_LATIN1.htm'
$jbchelpmap['LEFT'] = 'jbc2_LEFT.htm'
$jbchelpmap['LEN'] = 'jbc2_len.htm'
$jbchelpmap['LENS'] = 'jbc2_LENS.htm'
$jbchelpmap['LENDP'] = 'jbc2_LENDP.htm'
$jbchelpmap['LES'] = 'jbc2_LES.htm'
$jbchelpmap['LN'] = 'jbc2_ln.htm'
$jbchelpmap['LOCALDATE'] = 'jbc2_LOCALDATE.htm'
$jbchelpmap['LOCALTIME'] = 'jbc2_LOCALTIME.htm'
$jbchelpmap['LOCATE'] = 'jbc2_LOCATE.htm'
$jbchelpmap['LOCK'] = 'jbc2_LOCK.htm'
$jbchelpmap['LOOP'] = 'jbc2_LOOP.htm'
$jbchelpmap['LOWCASE'] = 'jbc2_UPDOWNCASE.htm'
$jbchelpmap['LOWER'] = 'jbc2_LOWER.htm'
$jbchelpmap['MAKETIMESTAMP'] = 'jbc2_MAKETIMESTAMP.htm'
$jbchelpmap['MAXIMUM'] = 'jbc2_MAXIMUM.htm'
$jbchelpmap['MAT'] = 'jbc2_mat.htm'
$jbchelpmap['MATBUILD'] = 'jbc2_MATBUILD.htm'
$jbchelpmap['MATCHES'] = 'jbc2_MATCHES.htm'
$jbchelpmap['MATCHFIELD'] = 'jbc2_MATCHFIELD.htm'
$jbchelpmap['MATPARSE'] = 'jbc2_MATPARSE.htm'
$jbchelpmap['MATREAD'] = 'jbc2_MATREAD.htm'
$jbchelpmap['MATREADU'] = 'jbc2_MATREADU.htm'
$jbchelpmap['MATWRITE'] = 'jbc2_MATWRITE.htm'
$jbchelpmap['MATWRITEU'] = 'jbc2_MATWRITEU.htm'
$jbchelpmap['MINIMUM'] = 'jbc2_MINIMUM.htm'
$jbchelpmap['MOD'] = 'jbc2_mod.htm'
$jbchelpmap['MODS'] = 'jbc2_mods.htm'
$jbchelpmap['MSLEEP'] = 'jbc2_MSLEEP.htm'
$jbchelpmap['MULS'] = 'jbc2_MULS.htm'
$jbchelpmap['NEG'] = 'jbc2_NEG.htm'
$jbchelpmap['NEGS'] = 'jbc2_NEGS.htm'
$jbchelpmap['NES'] = 'jbc2_NES.htm'
$jbchelpmap['NOBUF'] = 'jbc2_NOBUF.htm'
$jbchelpmap['NOT'] = 'jbc2_not.htm'
$jbchelpmap['NOTS'] = 'jbc2_NOTS.htm'
$jbchelpmap['NULL'] = 'jbc2_NULL.htm'
$jbchelpmap['NUM'] = 'jbc2_num.htm'
$jbchelpmap['NUMS'] = 'jbc2_NUMS.htm'
$jbchelpmap['OBJEXCALLBACK'] = 'jbc2_OBJEXCALLBACK.htm'
$jbchelpmap['OCONV'] = 'jbc2_OCONV.htm'
$jbchelpmap['OCONVS'] = 'jbc2_OCONVS.htm'
$jbchelpmap['ONGOSUB/ONGOTO'] = 'jbc2_ONGOTO.htm'
$jbchelpmap['ONGOSUB'] = 'jbc2_ONGOTO.htm'
$jbchelpmap['ONGOTO'] = 'jbc2_ONGOTO.htm'
$jbchelpmap['OPEN'] = 'jbc2_OPEN.htm'
$jbchelpmap['OPENDEV'] = 'jbc2_OPENDEV.htm'
$jbchelpmap['OPENINDEX'] = 'adv22_OPENINDEX.htm'
$jbchelpmap['OPENPATH'] = 'jbc2_OPENPATH.htm'
$jbchelpmap['OPENSEQ'] = 'jbc2_OPENSEQ.htm'
$jbchelpmap['OPENSER'] = 'jbc2_OPENSER.htm'
$jbchelpmap['ORS'] = 'jbc2_ORS.htm'
$jbchelpmap['OSBREAD'] = 'jbc2_OSBREAD.htm'
$jbchelpmap['OSBWRITE'] = 'jbc2_OSBWRITE.htm'
$jbchelpmap['OSCLOSE'] = 'jbc2_OSCLOSE.htm'
$jbchelpmap['OSDELETE'] = 'jbc2_OSDELETE.htm'
$jbchelpmap['OSOPEN'] = 'jbc2_OSOPEN.htm'
$jbchelpmap['OSREAD'] = 'jbc2_OSREAD.htm'
$jbchelpmap['OSWRITE'] = 'jbc2_OSWRITE.htm'
$jbchelpmap['OUT'] = 'jbc2_out.htm'
$jbchelpmap['PAGE'] = 'jbc2_PAGE.htm'
$jbchelpmap['PAUSE'] = 'jbc2_PAUSE.htm'
$jbchelpmap['PERFORM'] = 'jbc2_PERFORM.htm'
$jbchelpmap['PRECISION'] = 'jbc2_PRECISION.htm'
$jbchelpmap['PRINT'] = 'jbc2_PRINT.htm'
$jbchelpmap['PRINTER'] = 'jbc2_PRINTER.htm'
$jbchelpmap['PRINTERR'] = 'jbc2_PRINTERR.htm'
$jbchelpmap['PROCREAD'] = 'jbc2_PROCREAD.htm'
$jbchelpmap['PROCWRITE'] = 'jbc2_PROCWRITE.htm'
$jbchelpmap['PROGRAM'] = 'jbc2_PROGRAM.htm'
$jbchelpmap['PROMPT'] = 'jbc2_PROMPT.htm'
$jbchelpmap['PUTENV'] = 'jbc2_PUTENV.htm'
$jbchelpmap['PWR'] = 'jbc2_pwr.htm'
$jbchelpmap['QUOTE'] = 'jbc2_QUOTE.htm'
$jbchelpmap['RAISE'] = 'jbc2_RAISE.htm'
$jbchelpmap['READ'] = 'jbc2_READ.htm'
$jbchelpmap['READBLK'] = 'jbc2_READBLK.htm'
$jbchelpmap['READL'] = 'jbc2_READL.htm'
$jbchelpmap['READLIST'] = 'jbc2_READLIST.htm'
$jbchelpmap['READNEXT'] = 'jbc2_READNEXT.htm'
$jbchelpmap['READPREV'] = 'adv22_READPREV.htm'
$jbchelpmap['READSEQ'] = 'jbc2_READSEQ.htm'
$jbchelpmap['READT'] = 'jbc2_READT.htm'
$jbchelpmap['READU'] = 'jbc2_READU.htm'
$jbchelpmap['READV'] = 'jbc2_READV.htm'
$jbchelpmap['READVU'] = 'jbc2_READVU.htm'
$jbchelpmap['READXML'] = 'jbc2_READXML.htm'
$jbchelpmap['RECORDLOCKED'] = 'jbc2_RECORDLOCKED.htm'
$jbchelpmap['REGEXP'] = 'jbc2_REGEXP.htm'
$jbchelpmap['RELEASE'] = 'jbc2_RELEASE.htm'
$jbchelpmap['REM'] = 'jbc2_mod.htm'
$jbchelpmap['REMOVE'] = 'jbc2_REMOVE.htm'
$jbchelpmap['REPLACE'] = 'jbc2_REPLACE.htm'
$jbchelpmap['RETURN'] = 'jbc2_RETURN.htm'
$jbchelpmap['REWIND'] = 'jbc2_REWIND.htm'
$jbchelpmap['RIGHT'] = 'jbc2_RIGHT.htm'
$jbchelpmap['RND'] = 'jbc2_rnd.htm'
$jbchelpmap['RQM'] = 'jbc2_rqm.htm'
$jbchelpmap['RTNDATA'] = 'jbc2_RTNDATA.htm'
$jbchelpmap['SADD'] = 'jbc2_SADD.htm'
$jbchelpmap['SDIV'] = 'jbc2_SDIV.htm'
$jbchelpmap['SEEK'] = 'jbc2_SEEK.htm'
$jbchelpmap['SELECT'] = 'jbc2_SELECT.htm'
$jbchelpmap['SELECTINDEX'] = 'adv22_SELECTINDEX.htm'
$jbchelpmap['SEND'] = 'jbc2_SEND.htm'
$jbchelpmap['SENTENCE'] = 'jbc2_SENTENCE.htm'
$jbchelpmap['SEQ'] = 'jbc2_SEQ.htm'
$jbchelpmap['SEQS'] = 'jbc2_SEQS.htm'
$jbchelpmap['SIN'] = 'jbc2_sin.htm'
$jbchelpmap['SLEEP'] = 'jbc2_SLEEP.htm'
$jbchelpmap['SMUL'] = 'jbc2_SMUL.htm'
$jbchelpmap['SORT'] = 'jbc2_SORT.htm'
$jbchelpmap['SOUNDEX'] = 'jbc2_SOUNDEX.htm'
$jbchelpmap['SPACE'] = 'jbc2_SPACE.htm'
$jbchelpmap['SPACES'] = 'jbc2_SPACES.htm'
$jbchelpmap['SPLICE'] = 'jbc2_SPLICE.htm'
$jbchelpmap['SPOOLER'] = 'jbc2_SPOOLER.htm'
$jbchelpmap['SQRT'] = 'jbc2_SQRT.htm'
$jbchelpmap['SQUOTE'] = 'jbc2_QUOTE.htm'
$jbchelpmap['SSELECT'] = 'jbc2_SSELECT.htm'
$jbchelpmap['SSUB'] = 'jbc2_SSUB.htm'
$jbchelpmap['STATUS'] = 'jbc2_STATUS.htm'
$jbchelpmap['STOP'] = 'jbc2_STOP.htm'
$jbchelpmap['STR'] = 'jbc2_str.htm'
$jbchelpmap['STRS'] = 'jbc2_STRS.htm'
$jbchelpmap['SUBROUTINE'] = 'jbc2_SUBROUTINE.htm'
$jbchelpmap['SUBS'] = 'jbc2_SUBS.htm'
$jbchelpmap['SUBSTRINGS'] = 'jbc2_SUBSTRINGS.htm'
$jbchelpmap['SUM'] = 'jbc2_SUM.htm'
$jbchelpmap['SYSTEM'] = 'jbc2_SYSTEM.htm'
$jbchelpmap['SWAP'] = 'jbc2_SWAP.htm'
$jbchelpmap['TAN'] = 'jbc2_tan.htm'
$jbchelpmap['TIME'] = 'jbc2_TIME.htm'
$jbchelpmap['TIMEDATE'] = 'jbc2_TIMEDATE.htm'
$jbchelpmap['TIMEDIFF'] = 'jbc2_TIMEDIFF.htm'
$jbchelpmap['TIMEOUT'] = 'jbc2_TIMEOUT.htm'
$jbchelpmap['TIMESTAMP'] = 'jbc2_TIMESTAMP.htm'
$jbchelpmap['TRANS'] = 'jbc2_trans.htm'
$jbchelpmap['TRANSABORT'] = 'adv22_TRANSABORT.htm'
$jbchelpmap['TRANSQUERY'] = 'adv22_TRANSQUERY.htm'
$jbchelpmap['TRANSTART'] = 'adv22_TRANSTART.htm'
$jbchelpmap['TRANSEND'] = 'adv22_TRANSEND.htm'
$jbchelpmap['TRIM'] = 'jbc2_TRIM.htm'
$jbchelpmap['TRIMB'] = 'jbc2_TRIMB.htm'
$jbchelpmap['TRIMBS'] = 'jbc2_TRIMBS.htm'
$jbchelpmap['TRIMF'] = 'jbc2_TRIMF.htm'
$jbchelpmap['TRIMFS'] = 'jbc2_TRIMFS.htm'
$jbchelpmap['UNASSIGNED'] = 'jbc2_UNASSIGNED.htm'
$jbchelpmap['UNIQUEKEY'] = 'jbc2_UNIQUEKEY.htm'
$jbchelpmap['UNLOCK'] = 'jbc2_UNLOCK.htm'
$jbchelpmap['UPCASE'] = 'jbc2_UPDOWNCASE.htm'
$jbchelpmap['UTF8'] = 'jbc2_UTF8.htm'
$jbchelpmap['WAKE'] = 'jbc2_WAKE.htm'
$jbchelpmap['WEOF'] = 'jbc2_WEOF.htm'
$jbchelpmap['WEOFSEQ'] = 'jbc2_WEOFSEQ.htm'
$jbchelpmap['WRITE'] = 'jbc2_WRITE.htm'
$jbchelpmap['WRITEBLK'] = 'jbc2_WRITEBLK.htm'
$jbchelpmap['WRITELIST'] = 'jbc2_WRITELIST.htm'
$jbchelpmap['WRITESEQ'] = 'jbc2_WRITESEQ.htm'
$jbchelpmap['WRITET'] = 'jbc2_WRITET.htm'
$jbchelpmap['WRITEU'] = 'jbc2_WRITEU.htm'
$jbchelpmap['WRITEV'] = 'jbc2_WRITEV.htm'
$jbchelpmap['WRITEVU'] = 'jbc2_WRITEVU.htm'
$jbchelpmap['WRITEXML'] = 'jbc2_WRITEXML.htm'
$jbchelpmap['XLATE'] = 'jbc2_XLATE.htm'
$jbchelpmap['XMLTODYN'] = 'jbc2_XMLTODYN.htm'
$jbchelpmap['XMLTOXML'] = 'jbc2_XMLTOXML.htm'
$jbchelpmap['XTD'] = 'jbc2_xtd.htm'

$helplink = $jbchelpmap[$jbc_keyword]

if ( $helplink -eq $null ) {
    $helplink = $jbc_help_page_name
}

start "$jbc_help_page_prefix$helplink"

